Autolisp para alinhar texto em relação à uma linha

; Alinha o texto selecionado em relação à uma linha

(defun c:atexto()
(print)
(prompt “Selecione a linha. “)
(setq obj (entsel))
(setq obj  (car obj))
(setq obj (entget obj))

(setq p1 (assoc 10 obj))
(setq p2 (assoc 11 obj))

(setq x1 (nth 1 p1))
(setq y1 (nth 2 p1))

(setq x2 (nth 1 p2))
(setq y2 (nth 2 p2))

(if (= (- X1 X2) 0)
(setq ang (/ pi 2))
(setq ang (atan (/ (- y1 y2) (- x1 x2))))
)
(setq ang (/ (* 180 ang) pi))

(setq obj (entsel “Selecione o texto. “))

(command “change” obj “” “” “” “” “” ang “”)

)

Anúncios

Sobre NilsonRDG

Minha lista de scripts/rotinas em Autolisp, Autohotkey, JavaScript, PHP e VBA. Nilson Rodrigues - Ouro Preto - MG
Esse post foi publicado em AutoCAD, Autolisp. Bookmark o link permanente.

Deixe um comentário

Preencha os seus dados abaixo ou clique em um ícone para log in:

Logotipo do WordPress.com

Você está comentando utilizando sua conta WordPress.com. Sair / Alterar )

Imagem do Twitter

Você está comentando utilizando sua conta Twitter. Sair / Alterar )

Foto do Facebook

Você está comentando utilizando sua conta Facebook. Sair / Alterar )

Foto do Google+

Você está comentando utilizando sua conta Google+. Sair / Alterar )

Conectando a %s